Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452720 - NFS automounts fail to handle "grpid" option
Summary: NFS automounts fail to handle "grpid" option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 16:16 UTC by Ian Collier
Modified: 2009-07-14 18:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:22:15 UTC


Attachments (Terms of Use)

Description Ian Collier 2008-06-24 16:16:31 UTC
Description of problem:
We have a number of NFS shares served by a Solaris server cluster and
automounted by a variety of Linux and Solaris workstations.  The automount map
is served over NIS and looks a bit like this:

website -rw,intr,grpid,nosuid,noquota nfs1d:/website
pubweb -rw,intr,grpid,nosuid,noquota alpha1:/pubweb
...

The Solaris clients and all Fedora versions up to and including Fedora 8 will
happily mount these, but Fedora 9 fails to mount and writes this message in the
syslog:

kernel: NFS: unknown mount option: grpid

I'm not sure whether this is a bug or an RFE and whether it should be against
autofs, mount, or the kernel, but in any case it would be nice to be able to
ignore the unknown option and mount the shares anyway.

See also:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475274
https://bugs.launchpad.net/ubuntu/+source/autofs/+bug/221512
http://linux-nfs.org/pipermail/nfsv4/2008-April/008367.html

Version-Release number of selected component (if applicable):
autofs-5.0.3-15.x86_64
util-linux-ng-2.13.1-6.fc9.x86_64
kernel-2.6.25-14.fc9.x86_64

How reproducible:
Always

Comment 1 Jeff Moyer 2008-06-25 20:25:12 UTC
OK, I verified that the automounter is passing the sloppy option (-s) to mount:

Jun 25 16:14:40 localhost automount[26294]: mount_mount: mount(nfs): calling
mount -t nfs -s -o rw,grpid segfault.boston.devel.redhat.com:/export/foo /test/foo
Jun 25 16:14:40 localhost automount[26294]: >> mount.nfs: an incorrect mount
option was specified

This sounds like either nfs-utils or a kernel issue.  The parsing moved from the
former to the latter, and there may be some confusion surrounding the sloppy option.

Reassigning to kernel.

Comment 2 Steve Dickson 2008-06-27 14:25:59 UTC
The sloppy mount option is broken which is a known problem. To fix this
there needs to be kernel changes since all the mount option parsing
has been moved down to the kernel. As soon as that supports hits a 
F9 kernel, I'll added the mount.nfs support.

Comment 3 Bug Zapper 2009-06-10 01:46:01 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 18:22:15 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.